package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.TBusiHiddThrEvaMapper;
import com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva;
import com.goldenwater.slaj.hidd.service.ITBusiHiddThrEvaService;

/**
 * 隐患威胁安全评估统计 服务层实现
 */
@Service
public class TBusiHiddThrEvaServiceImpl implements ITBusiHiddThrEvaService {

    @Autowired
    private TBusiHiddThrEvaMapper tBusiHiddThrEvaMapper;

    /**
     * 查询隐患威胁安全评估统计信息
     * @param id 查询条件
     * @return 隐患威胁安全评估统计信息
     */
    @Override
    public TBusiHiddThrEva selectTBusiHiddThrEvaById(Long id) {
        return tBusiHiddThrEvaMapper.selectTBusiHiddThrEvaById(id);
    }

    /**
     * 查询隐患威胁安全评估统计列表
     * @param tBusiHiddThrEva 隐患威胁安全评估统计查询条件
     * @return 隐患威胁安全评估统计集合
     */
    @Override
    public List<TBusiHiddThrEva> selectTBusiHiddThrEvaList(TBusiHiddThrEva tBusiHiddThrEva) {
        return tBusiHiddThrEvaMapper.selectTBusiHiddThrEvaList(tBusiHiddThrEva);
    }

    /**
     * 新增隐患威胁安全评估统计
     * @param tBusiHiddThrEva 隐患威胁安全评估统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHiddThrEva(TBusiHiddThrEva tBusiHiddThrEva) {
        return tBusiHiddThrEvaMapper.insertTBusiHiddThrEva(tBusiHiddThrEva);
    }

    /**
     * 修改隐患威胁安全评估统计
     * @param tBusiHiddThrEva 隐患威胁安全评估统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHiddThrEva(TBusiHiddThrEva tBusiHiddThrEva) {
        return tBusiHiddThrEvaMapper.updateTBusiHiddThrEva(tBusiHiddThrEva);
    }

    /**
     * 删除隐患威胁安全评估统计
     * @param id 隐患威胁安全评估统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddThrEvaById(Long id) {
        return tBusiHiddThrEvaMapper.deleteTBusiHiddThrEvaById(id);
    }

    /**
     * 批量删除隐患威胁安全评估统计
     * @param ids 隐患威胁安全评估统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddThrEvaByIds(Long[] ids) {
        return tBusiHiddThrEvaMapper.deleteTBusiHiddThrEvaByIds(ids);
    }
}
